
a {
    color: #fff;
    text-decoration: none;
}


img {
    max-width: 100%;
}


.header {
    position: fixed;
    z-index: 30;
    width: 100%;
    background-color: var(--nav-background);
    box-shadow: 1px 1px 9px rgb(43, 43, 43);
}


.header__logo {
    max-width: 100px;
}



.header__wrapper {
    padding: 0 20px 0 40px;
    min-height: 82px;
    position: relative;
    display: flex;
    align-items: center;
    margin: auto;
}

.header__navigation-wrapper {
    display: flex;
    width: 100%;
    padding-left: 50px;
}

.header__list {
    display: flex;
    align-items: center;
    gap: 28px;
    margin: 0;
    padding: 0;
}

.header__list-item {
    display: flex;
    padding: 30px 0 50px;
    margin-bottom: -20px;
    gap: 8px;
    font-size: 16px;
    color: #c0a16b;
}

.header__list-item > a {
    display: flex;
    align-items: center;
    gap: 8px;
    transition: var(--transition);
    color: rgba(248, 245, 245, 0.91);
}

.header__list-item.active > a {
    color: #f8b04e !important;
}

.header__list-item > a:hover {
    color: #c0a16b;
}


.arrow {
    transition: transform 0.3s ease;
    transform-origin: center;
}

.header__list-item:hover .arrow {
    transform: rotate(180deg); /* Otočení šipky, když je nad kontejnerem */
}

.header__list-item > a svg path {
    transition: var(--transition);
    color: var(--color-primary-hover);
}

.header__list-item .submenu-wrapper {
    position: absolute;
    width: 100%;
    top: 110%;
    left: 0;
    border-radius: 20px;
    padding: 30px 30px 50px 30px;
    background-color: var(--nav-background);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: var(--transition);
}

.header__buttons-wrapper {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-left: auto;
}

.header__flags-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-left: auto;
}

.header__button {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 42px;
    width: max-content;
    padding: 6px 20px;
    border-radius: 100px;
    gap: 8px;
    font-size: 16px;
    font-weight: 400;
    transition: var(--transition);
    border: 1px solid rgba(248, 245, 245, 0.91);
    color: rgba(248, 245, 245, 0.91);
}

.header__button:hover {
    color: #c0a16b;
}

.submenu-list__title {
    width: max-content;
    margin-bottom: 25px;
    font-size: 12px;
    text-transform: uppercase;
    color: rgba(160, 161, 165, 1);
}

.submenu-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
    max-width: 295px;
    padding-left: 0;
}

.submenu-list__item {
    display: flex;
    padding-right: 100px;
    margin-right: -100px;
    cursor: pointer;
}

.submenu-list__item-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 6px 16px 6px 6px;
    gap: 16px;
    border-radius: 14px;
    transition: var(--transition);
}

.submenu-list__item-wrapper > svg {
    margin-left: auto;
    opacity: 0;
    visibility: hidden;
    transition: var(--transition);
}

.submenu-list__wrapper {
    position: relative;
}

.submenu-content {
    position: absolute;
    right: 0;
    top: 0;
    max-width: calc(100% - 365px);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: var(--transition);
}

.submenu-list__item.has-submenu.active .submenu-content {
    opacity: 1;
    visibility: visible;
}

.submenu-list__item.has-submenu.active .submenu-list__item-wrapper {
    background-color: rgba(255, 255, 255, 0.04);
}

.submenu-list__item.has-submenu.active .submenu-list__item-wrapper > svg {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.submenu-list__item-link {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.submenu-list__item-link.active {
    color: #f8b04e; /* Zvýrazní aktivní odkaz */
    font-weight: 600; /* Zvýraznění textu */
    text-decoration: underline; /* Možnost přidat podtržení */
}

.submenu-list__item-title {
    font-size: 16px;
    font-weight: 500;
    color: #fff;
}


.submenu-list__item-title.active{
    color: #f8b04e;
}

.submenu-list__item-icon {
    display: flex;
}

.submenu-list__item-subtile {
    font-size: 12px;
    font-weight: 400;
    color: rgba(160, 161, 165, 1);
}

.submenu-content__title {
    width: max-content;
    margin-bottom: 25px;
    font-size: 12px;
    text-transform: uppercase;
    color: rgba(160, 161, 165, 1);
}

.submenu-content__list:not(.events) {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding: 0;
}

.submenu-content__list.events {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    padding: 0;
}

.submenu-content__list-item {
    display: block;
    border-radius: 20px;
    background-color: rgba(255, 255, 255, 0.05);
    cursor: auto;
}

.submenu-content__link {
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    padding: 10px 10px;
    border: 1px solid transparent;
    transition: var(--transition);
}

.submenu-content__link.active{
    color: #f8b04e !important;
}

.submenu-content__link-img {
    margin-bottom: 20px;
    border-radius: 13px;
    overflow: hidden;
    transition: var(--transition);
    max-width: 350px;
    max-height: 280px;

}

.submenu-content__link-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.4s ease-in;
}

.submenu-content__link-title {
    padding: 0 10px;
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 12px;
}

.submenu-content__link-title.active{
    color: #f8b04e;
}

.submenu-content__link-text {
    padding: 0 10px;
    font-size: 12px;
    color: rgba(160, 161, 165, 1);
}

.submenu-content__link-wrapper {
    display: flex;
    gap: 20px;
    padding: 10px;
    border-radius: 20px;
    background-color: rgba(255, 255, 255, 0.05);
}

.submenu-content__list.events .submenu-content__link-img {
    width: 100%;
    max-width: 450px;
    flex: 1;
    border-radius: 13px;
    margin-bottom: 0;
}

.submenu-content__info {
    display: flex;
    flex-direction: column;
    flex: 1 0;
}

.submenu-content__category {
    display: flex;
    align-items: center;
    gap: 10px;
    width: max-content;
    padding: 10px 20px;
    margin-bottom: 20px;
    border-radius: 30px;
    font-size: 12px;
    font-weight: 500;
    border: 1px solid rgba(255, 255, 255, 0.2);
    color: rgba(255, 255, 255, 0.7);
}

.submenu-content__list.events .submenu-content__link-title,
.submenu-content__list.events .submenu-content__link-text {
    padding: 0;
    margin-bottom: 12px;
}

.submenu-content__link-address,
.submenu-content__link-date {
    display: flex;
    align-items: center;
    gap: 4px;
    margin-bottom: 12px;
    font-size: 12px;
    font-weight: 400;
    color: rgba(160, 161, 165, 1);
}

.submenu-content__link-address span,
.submenu-content__link-date span {
    line-height: 0.9;
}

.submenu-content__url {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: auto;
    margin-bottom: 20px;
    color: rgba(255, 255, 255, 1);
    font-size: 14px;
    transition: var(--transition);

    svg,
    svg path {
        transition: var(--transition);
    }
}

.header__burger {
    display: none;
    flex-direction: column;
    align-items: flex-end;
    gap: 4px;
    width: 24px;
    margin-left: auto;
    cursor: pointer;
}

.header__burger i {
    width: 100%;
    height: 2px;
    background-color: #fff;
    border-radius: 13px;
    transition: var(--transition);
}

.header__burger i:hover{
    background-color: #f3d6a5;
}
.header__burger.active i:nth-child(1) {
    transform: rotate(45deg) translate(4px, 4px);
}

.header__burger.active i:nth-child(2) {
    opacity: 0;
}

.header__burger.active i:nth-child(3) {
    transform: rotate(-45deg) translate(4px, -5px);
}

@media (hover: hover) and (pointer: fine) {
    .header__list-item:hover .submenu-wrapper{
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }


    .header__list-item:hover ~ .header__list-item .submenu-wrapper{
        display: none;
    }


    .header__list-item:hover > a,
    .header__list-item:hover > a svg path {
        color: var(--color-primary);
        fill: var(--color-primary);
    }

    .header__button:hover {
        background-color: rgba(255, 255, 255, 0.05);
    }

    .submenu-list__item.has-submenu:hover .submenu-list__item-wrapper {
        background-color: rgba(255, 255, 255, 0.04);
    }

    .submenu-list__item.has-submenu:hover .submenu-content,
    .submenu-list__item.has-submenu:hover .submenu-list__item-wrapper > svg {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }

    .submenu-content__list-item:hover .submenu-content__link {
        border-color: rgba(255, 255, 255, 0.3);
    }

    .submenu-content__list-item:hover .submenu-content__link-img img {
        transform: scale(1.05);
    }

    .submenu-content__url:hover,
    .submenu-content__url:hover svg path {
        color: var(--color-primary);
        stroke: var(--color-primary);
    }

    .submenu-content__url:hover svg {
        transform: translateX(5px);
    }
}


@media screen and (max-width: 1280px) {

    .header__navigation-wrapper {
        padding-left: 25px;
    }

    .submenu-list {
        max-width: 250px;
    }

    .submenu-content {
        max-width: calc(100% - 270px);
    }

    .submenu-content__url {
        margin-bottom: 0;
    }
}

@media screen and (max-width: 1024px) {
    .base-template__wrapper {
        min-height: 105vh;
    }

    .header {
        min-height: 64px;
        padding: 0;
    }

    .header__burger {
        display: flex;
    }

    .header__navigation-wrapper {
        flex-direction: column;
        align-items: center;
        position: absolute;
        top: 110%;
        left: 0;
        padding: 20px;
        background-color: var(--nav-background);
        border-radius: 20px;
        opacity: 0;
        visibility: hidden;
        transition: var(--transition);
    }

    .header__navigation-wrapper.open {
        opacity: 1;
        visibility: visible;
    }

    .header__list {
        flex-direction: column;
        gap: 30px;
    }

    .header__buttons-wrapper {
        flex-direction: column;
        margin-left: unset;
        margin-top: 20px;
        gap: 8px;
    }

    .header__flags-wrapper {
        flex-direction: row;
        margin-left: unset;
        margin-top: 20px;
        gap: 8px;
    }

    .header__navigation,
    .header__list {
        width: 100%;
    }

    .header__list-item{
        position: relative;
        display: block;
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
        transition: var(--transition);
        flex-direction: column;
        width: 100%;
        padding: 0;
        gap: 0;
        margin: 0;
    }

    .header__list-item.active a,
    .header__list-item.active a > svg path {
        fill: var(--color-primary);
        color: var(--color-primary);
    }

    .header__list-item .submenu-wrapper{
        position: static;
        padding: 0;
        max-height: 0;
        border-radius: 0;
        opacity: 1;
        visibility: visible;
        pointer-events: all;
        overflow: hidden;
        transition: max-height var(--transition);
    }

    .submenu-list {
        width: 100%;
        max-width: 100%;
        background: rgba(168, 156, 135, 0.1);
        border-radius: 8px;
        gap:0.8em;
    }

    .submenu-list__wrapper {
        margin-top: 30px;
    }

    .submenu-list__item {
        width: 100%;
        padding: 0;
        margin: 0;
    }

    .submenu-list__item:active .submenu-list__item-wrapper {
        background-color: rgba(255, 255, 255, 0.04);
    }

    .submenu-list__item:active .submenu-list__item-wrapper > svg {
        opacity: 1;
        visibility: visible;
    }

    .submenu-list__title {
        display: none;
    }

    .submenu-content {
        display: none;
    }

    .header__button {
        border: 1px solid rgba(255, 255, 255, 1);
    }

}


@media screen and (max-width: 767.9px) {
    .header__buttons-wrapper,
    .header__button {
        width: 100%;
    }
}

@media only screen and (min-width: 1024px) {
    .simple {
        max-width: 300px;
        left: auto !important;
        margin-left: -20px !important;
        padding: 20px 20px 20px 20px !important;
    }

    .velikostfoto{
        height: 240px !important;
        width: 300px !important;
    }
}


